Bug 117372 - rfe: consider upgrading to 2.1.27
rfe: consider upgrading to 2.1.27
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: FutureFeature
Depends On:
Blocks: 117434
  Show dependency treegraph
Reported: 2004-03-03 07:46 EST by Kaj J. Niemi
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-16 05:27:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
trivial patch to openldap.spec version 2.1.25 to 2.1.27 (1.21 KB, patch)
2004-03-03 16:32 EST, Kaj J. Niemi
no flags Details | Diff

  None (edit)
Description Kaj J. Niemi 2004-03-03 07:46:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040217

Description of problem:
Please consider upgrading openldap from version 2.1.25 to 2.1.27.  It
contains the patch from ITS#2926
<http://www.openldap.org/its/index.cgi?findid=2926>. It changes the
sasl callbacks to a per-session based model. This is needed to get
cyrus-imapd work with other authentication methods than PLAIN and
LOGIN (eg. non-cleartext authentication forms).

Changelog below:

OpenLDAP 2.1.27 Release
        Fixed slapd replog ordering bug (ITS#2512)
        Fixed slapd uninitialized variable bug
        Fixed libldap SASL client callbacks (ITS#2926)
        Build Environment
                Fixed gai_strerr portability problem (ITS#2643)
                Fixed DNS res_query portabilitiy problem
OpenLDAP 2.1.26 Release
        Fixed slapd bdb error recovery bug (ITS#2865)
        Fixed slapd bdb IDL cache cleanup bug (ITS#2917)
        Fixed slapd SASL auxprop typo (ITS#2909)
        Fixed slapd backglue segfault (ITS#2924)
        Fixed slapd bind mech in authDN (ITS#2871)
        Fixed back-ldap compare operation (ITS#2893)
        Fixed back-ldap suffix massage when --enable-rewrite=no (ITS#2923)
        Fixed libldap sort references bug (ITS#2494)
        Fixed libldap SASL_MECH bug (ITS#2717)
        Fixed lutil_passwd base64 length bugs (ITS#2835, ITS#2869)
        Updated librewrite (ITS#2787)
        Updated slurpd (misc bug fixes)
        Build Environment
                Updated release documents
                Misc man page updates

Comment 1 Kaj J. Niemi 2004-03-03 16:32:22 EST
Created attachment 98260 [details]
trivial patch to openldap.spec version 2.1.25 to 2.1.27
Comment 2 Kaj J. Niemi 2004-03-03 16:37:01 EST
Correction to original reasoning.. "it is needed to get cyrus-sasl not
to segfault when attempting to authenticate using auxprop ldapdb"
(which is not shipped right now though)

Authentication via pam_ldap (or similar) with PLAIN/LOGIN simply
sucks. :-)

Comment 3 Kaj J. Niemi 2004-04-16 05:27:24 EDT
2.1.29 in rahwide, closing this.

Note You need to log in before you can comment on or make changes to this bug.